# Created by pyp2rpm-3.3.2
%global pypi_name pre-commit

Name:           python-%{pypi_name}
Version:        2.1.1
Release:        1%{?dist}
Summary:        A framework for managing and maintaining multi-language pre-commit hooks

License:        MIT
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pre_commit-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
[![Build Status]( [![Azure DevOps coverage]( [![pre-commit]( pre-commitA
framework for managing and maintaining multi-language pre-commit hooks.

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(cfgv) >= 2.0.0
Requires:       python2dist(identify) >= 1.0.0
Requires:       python2dist(importlib-metadata)
Requires:       python2dist(importlib-resources)
Requires:       python2dist(nodeenv) >= 0.11.1
Requires:       python2dist(pyyaml) >= 5.1
Requires:       python2dist(setuptools)
Requires:       python2dist(toml)
Requires:       python2dist(virtualenv) >= 15.2
%description -n python2-%{pypi_name}
[![Build Status]( [![Azure DevOps coverage]( [![pre-commit]( pre-commitA
framework for managing and maintaining multi-language pre-commit hooks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(cfgv) >= 2.0.0
Requires:       python3dist(identify) >= 1.0.0
Requires:       python3dist(importlib-metadata)
Requires:       python3dist(importlib-resources)
Requires:       python3dist(nodeenv) >= 0.11.1
Requires:       python3dist(pyyaml) >= 5.1
Requires:       python3dist(setuptools)
Requires:       python3dist(toml)
Requires:       python3dist(virtualenv) >= 15.2
%description -n python3-%{pypi_name}
[![Build Status]( [![Azure DevOps coverage]( [![pre-commit]( pre-commitA
framework for managing and maintaining multi-language pre-commit hooks.


%prep
%autosetup -n pre_commit-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
rm -rf %{buildroot}%{_bindir}/*
%py3_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/pre_commit
%{python2_sitelib}/pre_commit-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/pre-commit
%{_bindir}/pre-commit-validate-config
%{_bindir}/pre-commit-validate-manifest
%{python3_sitelib}/pre_commit
%{python3_sitelib}/pre_commit-%{version}-py?.?.egg-info

%changelog
* Sat Mar 07 2020 mockbuilder - 2.1.1-1
- Initial package.